Index: src/Parser/PdbParser.cpp
===================================================================
--- src/Parser/PdbParser.cpp	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
+++ src/Parser/PdbParser.cpp	(revision 8bf9c67e4d413e6c7a6dda4dbcf57aab0311564a)
@@ -312,5 +312,5 @@
 {
   //LOG(3, "FormatParser< pdb >::AtomRemoved() - notified of atom " << id << "'s removal.");
-  std::map<size_t, PdbAtomInfoContainer>::iterator iter = additionalAtomData.find(id);
+  std::map<const atomId_t, PdbAtomInfoContainer>::iterator iter = additionalAtomData.find(id);
   // as we do not insert AtomData on AtomInserted, we cannot be assured of its presence
 //  ASSERT(iter != additionalAtomData.end(),
@@ -328,7 +328,8 @@
  * @return true - entry present, false - only for atom's father or no entry
  */
-bool FormatParser< pdb >::isPresentadditionalAtomData(unsigned int _id)
-{
-  return (additionalAtomData.find(_id) != additionalAtomData.end());
+bool FormatParser< pdb >::isPresentadditionalAtomData(const atomId_t _id) const
+{
+  std::map<const atomId_t, PdbAtomInfoContainer>::const_iterator iter = additionalAtomData.find(_id);
+  return (iter != additionalAtomData.end());
 }
 
@@ -480,5 +481,5 @@
   if (newAtom == NULL) {
     newAtom = World::getInstance().createAtom();
-    const unsigned int AtomID_global = newAtom->getId();
+    //const unsigned int AtomID_global = newAtom->getId();
     LOG(4, "INFO: No association to global id present, creating atom.");
   } else {
Index: src/Parser/PdbParser.hpp
===================================================================
--- src/Parser/PdbParser.hpp	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
+++ src/Parser/PdbParser.hpp	(revision 8bf9c67e4d413e6c7a6dda4dbcf57aab0311564a)
@@ -21,4 +21,5 @@
 #include "FormatParser_common.hpp"
 #include "ParserTypes.hpp"
+#include "types.hpp"
 
 #include "PdbAtomInfoContainer.hpp"
@@ -71,5 +72,5 @@
 
   // internal getter and setter
-  bool isPresentadditionalAtomData(unsigned int _id);
+  bool isPresentadditionalAtomData(const atomId_t _id) const;
   PdbAtomInfoContainer& getadditionalAtomData(atom *_atom);
 
@@ -92,5 +93,5 @@
    * file.
    */
-  std::map<size_t, PdbAtomInfoContainer> additionalAtomData;
+  std::map<const atomId_t, PdbAtomInfoContainer> additionalAtomData;
 
   /**
Index: src/Parser/TremoloParser.cpp
===================================================================
--- src/Parser/TremoloParser.cpp	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
+++ src/Parser/TremoloParser.cpp	(revision 8bf9c67e4d413e6c7a6dda4dbcf57aab0311564a)
@@ -37,12 +37,11 @@
 #include "WorldTime.hpp"
 
-#include <map>
-#include <vector>
 
 #include <boost/tokenizer.hpp>
 #include <iostream>
 #include <iomanip>
-
-using namespace std;
+#include <map>
+#include <sstream>
+#include <vector>
 
 // declare specialized static variables
@@ -112,6 +111,6 @@
  */
 void FormatParser< tremolo >::load(istream* file) {
-  string line;
-  string::size_type location;
+  std::string line;
+  std::string::size_type location;
 
   // reset the id maps
@@ -156,14 +155,10 @@
   LOG(0, "Saving changes to tremolo.");
 
-  vector<atom*>::const_iterator atomIt;
+  std::vector<atom*>::const_iterator atomIt;
   /*vector<string>::iterator it;*/
-  vector<string>::iterator it = unique(usedFields.begin(), usedFields.end()); // skips all duplicates in the vector
-
-
-  LOG(3, "usedFields before save contains: " << usedFields);
-
-  LOG(3, "additionalAtomData contains: " << additionalAtomData);
-
-  LOG(3, "additionalAtomData contains: " << additionalAtomData);
+  std::vector<std::string>::iterator it = unique(usedFields.begin(), usedFields.end()); // skips all duplicates in the vector
+
+  LOG(3, "INFO: usedFields before save contains: " << usedFields);
+  //LOG(3, "INFO: additionalAtomData contains: " << additionalAtomData);
 
   *file << "# ATOMDATA";
@@ -183,5 +178,5 @@
 void FormatParser< tremolo >::AtomInserted(atomId_t id)
 {
-  std::map<int, TremoloAtomInfoContainer>::iterator iter = additionalAtomData.find(id);
+  std::map<const atomId_t, TremoloAtomInfoContainer>::iterator iter = additionalAtomData.find(id);
   ASSERT(iter == additionalAtomData.end(),
       "FormatParser< tremolo >::AtomInserted() - additionalAtomData already present for newly added atom "
@@ -197,5 +192,5 @@
 void FormatParser< tremolo >::AtomRemoved(atomId_t id)
 {
-  std::map<int, TremoloAtomInfoContainer>::iterator iter = additionalAtomData.find(id);
+  std::map<const atomId_t, TremoloAtomInfoContainer>::iterator iter = additionalAtomData.find(id);
   // as we do not insert AtomData on AtomInserted, we cannot be assured of its presence
 //  ASSERT(iter != additionalAtomData.end(),
@@ -225,5 +220,5 @@
  */
 void FormatParser< tremolo >::saveLine(ostream* file, atom* currentAtom) {
-  vector<string>::iterator it;
+  std::vector<string>::iterator it;
 
   TremoloKey::atomDataKey currentField;
@@ -343,6 +338,6 @@
  */
 void FormatParser< tremolo >::parseAtomDataKeysLine(string line, int offset) {
-  string keyword;
-  stringstream lineStream;
+  std::string keyword;
+  std::stringstream lineStream;
 
   lineStream << line.substr(offset);
@@ -382,7 +377,7 @@
  * \param *newmol molecule to add atom to
  */
-void FormatParser< tremolo >::readAtomDataLine(string line, molecule *newmol = NULL) {
-  vector<string>::iterator it;
-  stringstream lineStream;
+void FormatParser< tremolo >::readAtomDataLine(std::string line, molecule *newmol = NULL) {
+  std::vector<string>::iterator it;
+  std::stringstream lineStream;
   atom* newAtom = World::getInstance().createAtom();
   const atomId_t atomid = newAtom->getId();
@@ -406,5 +401,5 @@
     const std::string keyName = it->substr(0, it->find("="));
     currentField = knownKeys[keyName];
-    const string word = *tok_iter;
+    const std::string word = *tok_iter;
     LOG(4, "INFO: Parsing key " << keyName << " with remaining data " << word);
     switch (currentField) {
@@ -499,5 +494,5 @@
 bool FormatParser< tremolo >::isUsedField(string fieldName) {
   bool fieldNameExists = false;
-  for (vector<string>::iterator usedField = usedFields.begin(); usedField != usedFields.end(); usedField++) {
+  for (std::vector<std::string>::iterator usedField = usedFields.begin(); usedField != usedFields.end(); usedField++) {
     if (usedField->substr(0, usedField->find("=")) == fieldName)
       fieldNameExists = true;
@@ -518,9 +513,9 @@
   }
 
-  for(map<int, TremoloAtomInfoContainer>::iterator currentInfo = additionalAtomData.begin();
+  for(std::map<const atomId_t, TremoloAtomInfoContainer>::iterator currentInfo = additionalAtomData.begin();
     currentInfo != additionalAtomData.end(); currentInfo++
   ) {
     if (!currentInfo->second.neighbors_processed) {
-      for(vector<int>::iterator neighbor = currentInfo->second.neighbors.begin();
+      for(std::vector<int>::iterator neighbor = currentInfo->second.neighbors.begin();
         neighbor != currentInfo->second.neighbors.end(); neighbor++
       ) {
@@ -557,5 +552,5 @@
   char separator;
   int id;
-  stringstream line, result;
+  std::stringstream line, result;
   line << data;
 
@@ -579,5 +574,5 @@
   }
 
-  for(map<int, TremoloAtomInfoContainer>::iterator currentInfo = additionalAtomData.begin();
+  for(std::map<const atomId_t, TremoloAtomInfoContainer>::iterator currentInfo = additionalAtomData.begin();
     currentInfo != additionalAtomData.end(); currentInfo++
   ) {
@@ -595,5 +590,5 @@
   }
 
-  for(map<int, TremoloAtomInfoContainer>::iterator currentInfo = additionalAtomData.begin();
+  for(std::map<const atomId_t, TremoloAtomInfoContainer>::iterator currentInfo = additionalAtomData.begin();
     currentInfo != additionalAtomData.end(); currentInfo++
   ) {
@@ -628,5 +623,5 @@
   knownTypes.clear();
 
-  LOG(3, "additionalAtomData contains: " << additionalAtomData);
+//  LOG(3, "INFO: additionalAtomData contains: " << additionalAtomData);
 
   // parse in file
Index: src/Parser/TremoloParser.hpp
===================================================================
--- src/Parser/TremoloParser.hpp	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
+++ src/Parser/TremoloParser.hpp	(revision 8bf9c67e4d413e6c7a6dda4dbcf57aab0311564a)
@@ -97,5 +97,5 @@
    * file.
    */
-  std::map<int, TremoloAtomInfoContainer> additionalAtomData;
+  std::map<const atomId_t, TremoloAtomInfoContainer> additionalAtomData;
 
   /**
